Subject: Re: Batterie - têtes de notes

From: Phil Hézaine <[email-masked]>
Date: Sun, 01 Jul 2012 16:08:45 +0200

Le 27/06/2012 03:35, AurelienAiven a écrit :
> Bonjour tout le monde
> Ceci est mon premier post
>
> Voila deux bonnes semaines que je planche sur Lilypond, après avoir parcouru
> les différentes pages du web, ainsi que la documentation officielle. 2
> problèmes me viennent à l'esprit.
>
> Mon premier soucis est de paramétrer ma partition pour que la caisse claire
> electrique (sne, electricsnare, que les musiciens non-batteurs peuvent
> assimiler au sol sur la portée) ai une taille plus petite que les autres. Le
> but étant de prendre un raccourci qui m'éviterai de réduire la taille note
> par note en désignant avant l'écriture des notes que "sne" soit
> automatiquement de taille "-3", avec pour but que "sne" définisse mes
> ghostnotes. (je précise qu'ayant pris l'habitude d'avoir mes ghostnotes en
> petit, je me refuse de passer par les parenthèses, et que le nombres de GN
> que mon prof me demande d'écrire est tel que ça serait vraiment fastidieux
> et illisible de passer par la commande qui fait des parenthèses)
>
> Mon deuxième soucis est de paramétrer ma partition pour que la cymbale ride
> (cymr) soit définie par une tete de note blanche, et rien d'autre ; même si
> la durée exacte serait une croche, une blanche, une ronde...
>
> Je précise que ma version de lilypond est la version "2.15.40"
>
>
> Voici le bout de code qui je pense sera le plus intéressant
>
>        \new DrumStaff \with {
> 	drumStyleTable = #(alist->hash-table ma_notation)
> 	\override DrumStaff #'TimeSignature #'style = #'()
> *	\override NoteHead #'font-size = #-3*
> 	\consists "Parenthesis_engraver"
> 			}
>        <<
> 	\new DrumVoice { \voiceOne \mains }
> 	\new DrumVoice { \voiceTwo \pieds }
> 	\override Staff.NoteCollision #'merge-differently-headed = ##t
> 	\override Staff.NoteCollision #'merge-differently-dotted = ##t
>
> La partie en gras me permet de changer toutes les notes. ne serait-ce pas
> juste une petite propriété a rajouter? Si oui laquelle? Et sinon que faire?
> Merci d'avance!
>
> Aurélien

Bonjour,

Voici une réponse qui ne satisfera pas tes attentes, je crois mais je 
l'envoie pour le cas où un "schemeur" y mettrait son grain de sel.
C'est la raison de la fonction en commentaires.
Pour ma part, au lieu de changer la font-size des sne, j'ai remplacé 
leur têtes de notes par mensural.
Des excuses pour le côté un peu brouillon mais je n'ai pas réussi à 
aller plus loin.
Phil.